
From: Olaf Hering <olh@suse.de>

This bites me all day when I use our default config for ppc64.  We use a
patch to fix the compile errors and provide the CONFIG_MAC_EMUMOUSEBTN
functionality (which is behind CONFIG_INPUT_ADBHID).  But Benh doesnt like
it.

http://ozlabs.org/pipermail/linuxppc64-dev/2005-March/003423.html

Just hide all the ADB parts from via-pmu on ppc64 instead.

drivers/macintosh/adbhid.c: In function `adbhid_init':
drivers/macintosh/adbhid.c:1199: error: `_MACH_chrp' undeclared (first use in this function)
drivers/macintosh/adbhid.c:1199: error: (Each undeclared identifier is reported only once
drivers/macintosh/adbhid.c:1199: error: for each function it appears in.)

Cc: Benjamin Herrenschmidt <benh@kernel.crashing.org>
Cc: Paul Mackerras <paulus@samba.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/macintosh/Kconfig |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/macintosh/Kconfig~ppc64-hide-config_adb drivers/macintosh/Kconfig
--- devel/drivers/macintosh/Kconfig~ppc64-hide-config_adb	2005-07-14 15:55:41.000000000 -0700
+++ devel-akpm/drivers/macintosh/Kconfig	2005-07-14 15:55:41.000000000 -0700
@@ -4,7 +4,7 @@ menu "Macintosh device drivers"
 
 config ADB
 	bool "Apple Desktop Bus (ADB) support"
-	depends on MAC || PPC_PMAC
+	depends on MAC || (PPC_PMAC && PPC32)
 	help
 	  Apple Desktop Bus (ADB) support is for support of devices which
 	  are connected to an ADB port.  ADB devices tend to have 4 pins.
_
